package com.rv.rvmine.bean;

public class AccountBindDto {
    private String openId;
    private String unionId;
    private String nickName;
    private String type;
    private String code;

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public AccountBindDto(String openId, String unionId, String nickName, String type, String code) {
        this.openId = openId;
        this.unionId = unionId;
        this.nickName = nickName;
        this.type = type;
        this.code = code;
    }

    public AccountBindDto(String openId, String unionId, String nickName, String type) {
        this.openId = openId;
        this.unionId = unionId;
        this.nickName = nickName;
        this.type = type;
    }
}
